Get Async Task Status
curl --request GET \
--url https://api.aryn.cloud/v1/async/result/{task_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aryn.cloud/v1/async/result/{task_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aryn.cloud/v1/async/result/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_id": "<string>",
"doc_id": "<string>",
"docset_id": "<string>",
"created_at": "<string>",
"name": "<string>",
"size": 123,
"content_type": "<string>",
"properties": {}
}{
"detail": "Task is pending."
}{
"detail": "No Aryn API key provided."
}{
"detail": "No such task."
}"Internal Server Error"Document
Get Async Task Status
GET
/
v1
/
async
/
result
/
{task_id}
Get Async Task Status
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Query Parameters
Available options:
^/v1/storage/docsets/{docset_id}/docs$ Response
Successful Response
The account id containing the Document.
The unique id for the Document.
The unique id for the DocSet containing the Document.
The time at which this document was added to the system.
The name of this Document.
The size of the Document in bytes.
The content type of the source Document.
Additional properties for the Document.
Was this page helpful?
